Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Templates

List Templates

GET
/v1/templates

List Templates available to the organisation.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

Formatuuid
id[in]?array<>

Filters by any of the supplied id values.

Itemsitems <= 10
key?string

Stable key used to identify the resource.

key[in]?array<string>

Filters by any of the supplied key values.

type?"authentication" | "auto_responder" | "double_opt_in_confirmation" | "marketing" | "opt_in_request" | "opt_out_confirmation" | "review_request" | "transactional"

Type of the resource.

type[in]?array<"authentication" | "auto_responder" | "double_opt_in_confirmation" | "marketing" | "opt_in_request" | "opt_out_confirmation" | "review_request" | "transactional">

Filters by any of the supplied type values.

type[not_in]?array<"authentication" | "auto_responder" | "double_opt_in_confirmation" | "marketing" | "opt_in_request" | "opt_out_confirmation" | "review_request" | "transactional">

Filters resources by type using the not_in operator.

language?string

Filters resources by language.

language[in]?array<string>

Filters by any of the supplied language values.

archived?boolean

Filters resources by archived.

updated_at[gte]?string

Only returns resources whose updated at is at or after this timestamp (inclusive). See Filtering for timestamp precision.

Formatdate-time
updated_at[lte]?string

Only returns resources whose updated at is at or before this timestamp (inclusive). See Filtering for timestamp precision.

Formatdate-time
limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length
include?array<"published_version" | "published_version.approvals">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/templates"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "key": "string",      "language": "string",      "type": "authentication",      "request_approvals": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "published_version": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",        "version": 9007199254740991,        "published": true,        "settings": {          "postal": {            "duplex": true          }        },        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "approvals": [          {            "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1",            "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",            "status": "approved",            "category": "string"          }        ]      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}